# $Revision: 1.17 $, $Date: 2008-03-02 21:11:32 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	List
%define		pnam	MoreUtils
Summary:	List::MoreUtils - provide the stuff missing in List::Util
Summary(pl.UTF-8):	List::MoreUtils - dostarczenie elementów brakujących w List::Util
Name:		perl-List-MoreUtils
Version:	0.22
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
#Source0:	http://www.cpan.org/modules/by-module/List/%{pdir}-%{pnam}-%{version}.tar.gz
Source0:	http://www.cpan.org/modules/by-authors/id/V/VP/VPARSEVAL/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3a6ec506f40662ab1296c48c5eb72016
URL:		http://search.cpan.org/dist/List-MoreUtils/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
List::MoreUtils provides some trivial but commonly needed
functionality on lists which is not going to go into List::Util.

All of the below functions are implementable in one line of Perl code.
Using the functions from this module however should give slightly
better performance as everything is implemented in C. The pure-Perl
implementation of these functions only serves as a fallback in case
the C portions of this module couldn't be compiled on this machine.

%description -l pl.UTF-8
List::MoreUtils dostarcza prostych, ale często potrzebnych funkcji do
operacji na listach - elementy, które nie zostaną dołączone do
List::Util.

Wszystkie z funkcji są możliwe do implementowania w jednej linijce
kodu Perla. Używanie funkcji z tego modułu może jednak dać odrobinę
większą wydajność jako, że całość została napisana w C. Implementacja
napisana w Perlu służy w sytuacjach wyjątkowych w przypadkach, gdy
elementy modułu napisane w C nie mogą zostać skompilowane na maszynie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/List
%{perl_vendorarch}/List/MoreUtils.pm
%dir %{perl_vendorarch}/auto/List/MoreUtils
%{perl_vendorarch}/auto/List/MoreUtils/MoreUtils.bs
%attr(755,root,root) %{perl_vendorarch}/auto/List/MoreUtils/MoreUtils.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-List-MoreUtils.spec,v $
Revision 1.17  2008-03-02 21:11:32  radek
- release 3

Revision 1.16  2008-02-10 12:13:44  arekm
- rel 2

Revision 1.15  2008-01-10 08:38:39  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.14  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.12  2006/12/22 12:16:13  qboosh
- updated to 0.22

Revision 1.11  2006/10/25 22:50:34  ankry
- missing dir, rel. 2

Revision 1.10  2006/02/13 17:31:13  migo
- up  to 0.17

Revision 1.9  2004/12/12 10:27:24  adamg
- updated to 0.09

Revision 1.8  2004/12/01 17:38:29  radek
- autoupdated to 0.07

Revision 1.7  2004/11/15 19:32:25  paladine
- updated to 0.06

Revision 1.6  2004/11/03 22:30:30  paladine
- formatting

Revision 1.5  2004/11/03 13:05:26  paladine
- spaces->tabs

Revision 1.4  2004/10/25 11:36:57  paladine
- "HTML" and "Perl" unification

Revision 1.3  2004/08/12 05:58:21  qboosh
- typo

Revision 1.2  2004/08/08 15:30:48  ankry
- cosmetics

Revision 1.1  2004/08/08 14:39:45  adamg
- new
